Enable Zuul v3 CI

I'm also proactively disabling the top-level parallel build again
because the code has not been merged upstream, and because there are
already some conflicts (see the ML thread for details).

Also update the internal projects (so that the shared depndencies are
used, and bring in netconf-cli.

(And try to fix a random rauc error, yay.)

Change-Id: I81f2f3195aa1dbe4527135861cd486eb559d65ed
See-also: http://lists.busybox.net/pipermail/buildroot/2019-February/243811.html
diff --git a/ci/build.sh b/ci/build.sh
new file mode 100755
index 0000000..17d075b
--- /dev/null
+++ b/ci/build.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+set -eux -o pipefail
+shopt -s failglob
+
+ZUUL_JOB_NAME=$(jq < ~/zuul-env.json -r '.job')
+ZUUL_PROJECT_SRC_DIR=$HOME/$(jq < ~/zuul-env.json -r '.project.src_dir')
+ZUUL_PROJECT_SHORT_NAME=$(jq < ~/zuul-env.json -r '.project.short_name')
+
+BUILD_DIR=~/build
+mkdir ${BUILD_DIR}
+cd ${BUILD_DIR}
+
+${ZUUL_PROJECT_SRC_DIR}/dev-setup-git.sh
+
+if [[ "${ZUUL_JOB_NAME}" =~ clearfog ]]; then
+    make czechlight_clearfog_defconfig
+else
+    echo "Unrecognized job name, cannot determine defconfig target"
+    exit 1
+fi
+
+echo BR2_PRIMARY_SITE=\"https://ci-logs.gerrit.cesnet.cz/t/public/mirror/buildroot\" >> .config
+make source
+
+make
+mv images/update.raucb ~/zuul-output/artifacts/
+
+if [[ "${ZUUL_JOB_NAME}" =~ clearfog ]]; then
+    mv images/u-boot-spl.kwb ~/zuul-output/artifacts/
+fi
+
+# TODO: USB image as well? (`fallocate -d` to make it sparse)
+# TODO: make legal-info